Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.WhiteSpaceMode

    java.lang.Object
      java.lang.Enum<Qt.WhiteSpaceMode>
          com.trolltech.qt.core.Qt.WhiteSpaceMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.WhiteSpaceMode>

Enclosing interface:
  Qt

    public static enum Qt.WhiteSpaceMode

extends java.lang.Enum<Qt.WhiteSpaceMode>
implements QtEnumerator

This enum describes the types of whitespace mode that are used by the `QTextDocument` class to meet the requirements of different kinds of textual information.

This enum is defined in the `<QTextDocument>` header file.

Enum Constant Summary
`WhiteSpaceModeUndefined` Internal.
`WhiteSpaceNormal` The whitespace mode used to display normal word wrapped text in paragraphs.
`WhiteSpaceNoWrap` Internal.
`WhiteSpacePre` A preformatted text mode in which whitespace is reproduced exactly.

Method Summary
`static Qt.WhiteSpaceMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.WhiteSpaceMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.WhiteSpaceMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WhiteSpaceNormal

    public static final Qt.WhiteSpaceMode WhiteSpaceNormal

  The whitespace mode used to display normal word wrapped text in paragraphs.

### WhiteSpacePre

    public static final Qt.WhiteSpaceMode WhiteSpacePre

  A preformatted text mode in which whitespace is reproduced exactly.

### WhiteSpaceNoWrap

    public static final Qt.WhiteSpaceMode WhiteSpaceNoWrap

  Internal.

### WhiteSpaceModeUndefined

    public static final Qt.WhiteSpaceMode WhiteSpaceModeUndefined

  Internal.

Method Detail

### values

    public static final Qt.WhiteSpaceMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.WhiteSpaceMode c : Qt.WhiteSpaceMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.WhiteSpaceMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.WhiteSpaceMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD